record(3)

NAME
record_configure_output - Configure recorder output record_configure_show - Configure recorder output function record_configure_format - Configure recorder event formatting

SYNOPSIS
#include <recorder/recorder.h>

typedef unsigned (*recorder_show_fn) (const char *text,
                                      size_tlen,
                                      void *output);
typedef void (*recorder_format_fn)(recorder_show_fn show,
                                   void *output,
                                   const char * label,
                                   const char *location,
                                   uintptr_torder,
                                   uintptr_ttimestamp,
                                   const char *message);

void *recorder_configure_output(void *output);
recorder_show_fn   recorder_configure_show(recorder_show_fnshow);
recorder_format_fn recorder_configure_format(recorder_format_fnformat);

DESCRIPTION

The recorder_configure_output() function configures the output for the recorder output function. The default output function assumes that output is a FILE * and uses stderr if NULL. Since recorder tracing is often used for debugging, it may be a good idea to make the output non-buffered using setvbuf(output,NULL,_IONBF,0);

The recorder_configure_show() function configures the output funtion for the recorder. This output function receives the output value defined by recorder_configure_output.

The recorder_configure_format() function configures the event record formatting function.

RETURN VALUE

The functions return the previously configured value.

BUGS

Bugs should be reported using https://github.com/c3d/recorder/issues.

SEE ALSO
record(3), record_fast(3),
RECORDER_DEFINE(3), RECORDER_DECLARE(3)
recorder_trace_set(3) RECORDER_TRACE(3)
recorder_dump(3), recorder_dump_for(3),

Additional documentation and tutorials can be found at https://github.com/c3d/recorder.

AUTHOR
Written by Christophe de Dinechin